{% extends "views/default/base.html" %}

{% load static %}

{% block title %}YUYITOS | Recepción{% endblock %}
{% block css %}
       
{% endblock css %}

{% block content %}
{% if user.is_staff or request.user.user_profile == 'operador' %}
        <div class="wrapper">
           <!-- Navbar -->
           {% include "views/default/header.html" %}
           <!-- /.navbar -->
           <!-- Main Sidebar Container -->
           {% include "views/default/menu.html" %}
           <!-- /.sidebar -->
            <div class="content-wrapper">
                <!-- Content Header (Page header) -->
                <div class="content-header">
                    <div class="container-fluid">
                        <div class="row mb-2">
                            <div class="col-sm-6">

                            </div><!-- /.col -->
                            <div class="col-sm-6">
                                <ol class="breadcrumb float-sm-right">
                                    <li class="breadcrumb-item"><a href="#">Inventario</a></li>
                                    <li class="breadcrumb-item active">Recepción</li>
                                </ol>
                            </div><!-- /.col -->
                        </div><!-- /.row -->
                    </div><!-- /.container-fluid -->
                </div>
                <!-- /.content-header -->
                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        <div class="col-12">
                            <div class="card card-primary card-outline card-outline-tabs">
                                <div class="card-header p-0 border-bottom-0"> 
                                    <ul class="nav nav-tabs" id="custom-tabs-four-tab" role="tablist">
                                        <li class="nav-item">
                                            <a class="nav-link active" id="custom-tabs-four-home-tab" data-toggle="pill" href="#custom-tabs-four-vigente" role="tab" aria-controls="custom-tabs-four-home" aria-selected="true"><i class="fas fa-search"></i>
                                                {{ title }}</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link" id="custom-tabs-four-profile-tab" data-toggle="pill" href="#custom-tabs-four-finalizado" role="tab" aria-controls="custom-tabs-four-profile" aria-selected="false">Recepciones de compra</a>
                                        </li>
                                    </ul>
                                    
                                </div>
                                <!-- /.card-header -->
                                <div class="card-body">
                                    <div class="tab-content" id="custom-tabs-four-tabContent">
                                        <div class="tab-pane fade show active" id="custom-tabs-four-vigente" role="tabpanel" aria-labelledby="custom-tabs-four-home-tab">
                                            <table id="data" class="table table-bordered table-striped">
                                                <thead class="bg-info">
                                                    <tr>
                                                        <th>Id Orden</th>
                                                        <th>Proveedor</th>
                                                        <th>Estado de la orden</th>
                                                        <th>Fecha de la orden</th>
                                                        <th>Monto total</th>
                                                        <th>Opciones</th>
                                                    </tr>
                                                </thead>
                                            
                                            </table>
                                        </div>
                                        <div class="tab-pane fade" id="custom-tabs-four-finalizado" role="tabpanel" aria-labelledby="custom-tabs-four-profile-tab">
                                            <table id="datafin" class="table table-bordered table-striped">
                                                <thead class="bg-info">
                                                    <tr>
                                                        <th>Id Recepcion</th>
                                                        <th>Fecha de Registro</th>
                                                        <th>Orden asociada</th>
                                                    </tr>
                                                </thead>
                                            </table>
                                        </div>
                                    </div>
                                    
                                </div>
                                <!-- /.card-body -->
                              </div>
                              <!-- /.card -->
                        </div>
                    </div>
                    <div class="modal fade" id="myModelDet" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-lg" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel"><b> Consulta de
                                        detalle de productos de la compra</b></h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <table class="table table-bordered" id="tblDet">
                                        <thead class="bg-info">
                                        <tr>
                                            <th>Código</th>
                                            <th>Producto</th>
                                            <th>Familia</th>
                                            <th>Precio Compra</th>
                                            <th>Cantidad</th>
                                            <th>Subtotal</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal fade" id="myModelDeta" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <form method="POST" action="." enctype="multipart/form-data" class="form-horizontal">
                            <div class="modal-dialog modal-lg" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="exampleModalLabel"><b> Detalle de productos de la compra a recepcionar</b></h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <table class="table table-bordered" id="tblDeta">
                                            <thead class="bg-info">
                                            <tr>
                                                <th>Código</th>
                                                <th>Producto</th>
                                                <th>Familia</th>
                                                <th>Precio Compra</th>
                                                <th>Cantidad</th>
                                                <th>Subtotal</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            </tbody>
                                        </table>
                                        {% csrf_token %}
                                        <input name="action" type="hidden" value="edit">
                                        <input name="id" type="hidden" value="0">
                                    </div>
                                    <div class="modal-footer justify-content-between">
                                        <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
                                        <button type="submit" class="btn btn-success"><i class="fas fa-save"></i> Recepcionar Compra</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </section>
                <!-- /.content -->
            </div>
            {% include "views/default/footer.html" %}
        </div>
        {% endif %}
        <!-- REQUIRED SCRIPTS -->
        {% endblock content %}
        {% block js %}
        <script src="{% static 'dist/js/pages/list_recepcion.js' %}"></script>
        {% if messages %}
            {% for message in messages %}
                {% if message.tags == 'success'%}
                <script type=text/javascript>
                    toastr.{{ message.tags }}('{{ message }}')               
                </script>
                {% endif %}
            {% endfor %}
        {% endif %}
        {% endblock js %}